PUT /sspinstance/{uuid}
/sspinstance/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
SspInstance object creation
Show optional properties
{
"feature": "string",
"hostname": "string",
"name": "string",
"status": "string"
}
{
"_last_modified": "string",
"avi_client_cert": "string",
"client_cert": "string",
"description": "string",
"feature": "string",
"hostname": "string",
"ingress_cert": "string",
"name": "string",
"resources": {
"avi_client_cert_ref": "string",
"client_cert_auth_mapping_profile_ref": "string",
"client_cert_auth_profile_ref": "string",
"client_cert_ref": "string"
},
"status": "string",
"tenant_ref": "string",
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"avi_client_cert": "string",
"client_cert": "string",
"description": "string",
"feature": "string",
"hostname": "string",
"ingress_cert": "string",
"name": "string",
"resources": {
"avi_client_cert_ref": "string",
"client_cert_auth_mapping_profile_ref": "string",
"client_cert_auth_profile_ref": "string",
"client_cert_ref": "string"
},
"status": "string",
"tenant_ref": "string",
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Client certificate that Avi uses to authenticate with the SSP instance. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Client certificate that the SSP instance uses to authenticate with Avi. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Description of the onboarded SSP feature instance. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Type of the SSP feature instance. Enum options - SSP_INTELLIGENT_ASSIST, SSP_CENTRAL_LICENSING_SERVICE. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Hostname of the SSP feature instance. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Ingress (server) certificate chain that the SSP endpoint uses. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Name of the onboarded SSP feature instance. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
resources
Status of the SSP feature instance. Enum options - SSP_STATUS_IN_PROGRESS, SSP_STATUS_ACTIVE, SSP_STATUS_CERT_UPDATE_FAILED. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Tenant reference for the SSP object. It is a reference to an object of type Tenant. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
url
UUID for the onboarded SSP feature instance. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
log in failed
object not found
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"feature":"string","hostname":"string","name":"string","status":"string"}' https://{api_host}/api/sspinstance/{uuid}